List all warehouses

GET https://api.tamio.com/v2/warehouses/list

Returns a paginated list of warehouses. Supports filtering by date range, country, product, and free-text search. Results can be sorted by label, country, address, city, email, telephone, postcode, or state.

Query Parameters

page integer

Page number for pagination.

per_page integer

Number of warehouses per page.

order string

Sort direction.

ascdesc
sort_by string

Field to sort by.

labelcountryaddresscityemailtelephone
filter string

Free-text search across label, address, city, or contact information.

from string

Start date filter (ISO string or Unix timestamp).

to string

End date filter (ISO string or Unix timestamp).

product_id string

Filter warehouses that stock a specific product.

countries array of string

Filter by warehouse country codes.

Responses

200 Paginated list of warehouses

Paginated list of warehouses

status integer
total_results integer
warehouses array of Warehouse
400 Validation or business-logic error
401 Missing or invalid API key
/warehouses/list
1const response = await fetch("https://api.tamio.com/v2/warehouses/list", {
2 headers: {
3 "Authorization": "Bearer YOUR_API_KEY",
4 "Accept": "application/json"
5 }
6});
7const data = await response.json();
Responses
{
  "status": 200,
  "total_results": 3,
  "warehouses": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "object": "warehouse",
      "label": "string",
      "custom_id": "string",
      "country": "string",
      "address": "string",
      "city": "string",
      "postcode": "string",
      "state": "string",
      "email": "string",
      "telephone": "string",
      "areas_served": [],
      "products": 0,
      "variants": 0,
      "has_notes": false
    }
  ]
}